Add attachments from URLs
POST
/partners/invoices/{uuid}/attachmentsAttaches files to an invoice by URL.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe UUID of the invoice.
Request body
attachmentsarrayrequiredFiles to attach by URL.
urlstringrequiredPublic URL of the file.
titlestringDisplay title for the attachment.
Responses
200Attachments added.404Invoice not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPOST
https://api.getcount.com/partners/invoices/{uuid}/attachmentsRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'POST';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"attachments": [
{
"url": "https://cdn.example.com/contract.pdf",
"title": "Signed contract"
}
]
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 200
{
"status": "success",
"data": {
"invoice": {
"id": "f6a7b8c9-d0e1-2345-fabc-456789012345",
"invoiceNumber": "INV-1042",
"invoiceType": "invoice",
"customerUuid": "dfa3219e-6af8-4c53-997a-037534f63a35",
"date": "2026-03-01",
"dueDate": "2026-03-31",
"currency": "USD",
"status": "sent",
"isDraft": false,
"approved": true,
"isSent": true,
"paymentStatus": "unpaid",
"subtotal": 1000,
"taxTotal": 85,
"total": 1085,
"amountDue": 1085,
"products": [
{
"productUuid": "aa11bb22-cc33-dd44-ee55-ff6677889900",
"description": "Consulting services",
"quantity": 10,
"unitPrice": 100,
"nonTaxable": false
}
],
"createdAt": "2026-03-01T09:00:00.000Z",
"updatedAt": "2026-03-02T11:15:00.000Z"
}
}
}